List actions
Actions
List actions
Return a paginated list of your project’s Borrow actions for a wallet address, filterable by integration, type and status.
GET
List actions
address is required. Results are limited to actions created by your project. action filters by action type. status filters by one action status; statuses takes up to 7 values as a CSV or repeated parameter and, when present, overrides status. offset defaults to 0; limit defaults to 25 and is at most 100.Authorizations
Query Parameters
Offset for pagination
Required range:
x >= 0Example:
0
Maximum number of items to return
Required range:
1 <= x <= 100Example:
25
User wallet address to filter actions for
Example:
"0x742d35Cc6634C0532925a3b844Bc9e7595f8fB28"
Filter by integration
Example:
"aave-borrow"
Filter by action type
Available options:
supply, borrow, repay, withdraw, enableCollateral, disableCollateral, supplyAndBorrow Example:
"supply"
Filter by status
Available options:
CANCELED, CREATED, WAITING_FOR_NEXT, PROCESSING, FAILED, SUCCESS, STALE Filter by multiple statuses (supports CSV or repeated query params)
Available options:
CANCELED, CREATED, WAITING_FOR_NEXT, PROCESSING, FAILED, SUCCESS, STALE 
